Breakout Topics
Get Narrative
Get a narrative by ID with member topics.
GET
/
v1
/
topics
/
breakout
/
narratives
/
{narrative_id}
Get Narrative
curl --request GET \
--url https://api.upriver.ai/v1/topics/breakout/narratives/{narrative_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.upriver.ai/v1/topics/breakout/narratives/{narrative_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.upriver.ai/v1/topics/breakout/narratives/{narrative_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"narrative": {
"narrative_id": "<string>",
"display_name": "<string>",
"vertical": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"description": "<string>",
"total_citations": 123,
"combined_source_summary": {},
"date_range": {}
},
"member_topics": [
{
"topic_id": "<string>",
"topic_name": "<string>",
"canonical_name": "<string>",
"vertical": "<string>",
"status": "<string>",
"peak_score": 123,
"discovered_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"score": 123,
"relevance_score": 123,
"engagement": {
"percentile_score": 123
},
"confidence_score": 123,
"last_signal_at": "2023-11-07T05:31:56Z",
"source_summary": {},
"citations": [
{
"source_category": "<string>",
"source_url": "<string>",
"title": "<string>",
"display": "",
"snippet": "<string>",
"source_authority": 123,
"engagement_score": 123,
"published_at": "2023-11-07T05:31:56Z"
}
],
"entities": [
{
"canonical_name": "<string>",
"entity_type": "<string>",
"confidence": 123,
"entity_id": "<string>",
"entity_subtype": "<string>"
}
],
"trend": {
"momentum": 1
},
"citation_rate": [
{
"day": "<string>",
"count": 123
}
],
"narrative": {
"narrative_id": "<string>",
"display_name": "<string>",
"member_count": 123,
"arc_summary": [
"<string>"
]
},
"event_start_at": "2023-11-07T05:31:56Z",
"event_end_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Narrative UUID returned by GET /v1/topics/breakout/narratives.
Query Parameters
Optional expansions to include on member topics. Allowed values: citations, entities. Example: include=citations&include=entities
Available options:
citations, entities Previous
Search Breakout TopicsSearch breakout topics using hybrid vector + keyword search.
Supports three search modes:
- vector: Semantic similarity search using embeddings
- keyword: Full-text search using PostgreSQL tsvector
- hybrid: Combined vector and keyword search (default)
Next
⌘I
Get Narrative
